@import url(/css/variables.css);

/* ########## Common ########## */
* {
  box-sizing: border-box;
}
body {
  font-family: 'SUIT Variable', sans-serif;
  margin: 0;
  color: var(--dark-gray-1);
}
h1, h2, h3, h4, p {
  margin: 0;
}
a {
  text-decoration: none;
}
img {
  display: block;
  max-width: 100%;
}
.cd-section > div {
  position: relative;
  height: 100vh;
}
.center-align {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.title {
  font-family: var(--title);
  color: var(--blue-1);
  font-size: 40px;
  text-align: center;
  margin-bottom: 40px;
}
button {
  outline: none;
  border: none;
  cursor: pointer;
  background-color: transparent;
}
.btn--disabled {
  pointer-events: none;
  background-color: var(--light-gray-2) !important;
  color: var(--gray-2) !important;
  border-color: var(--light-gray-2) !important;
}
/* ########## Home ########## */
#home > div {
  background: var(--light-gray-1);
}
.home__inner {}
#home .designer {
  text-align: center;
  animation: titleAni 1s linear both;
}
.designer em {
  font-style: normal;
  display: block;
  font-size: 15px;
  color: var(--dark-gray-1);
}
.designer span {
  text-transform: uppercase;
  font-size: 30px;
  font-family: "Russo One", sans-serif;
  letter-spacing: 2px;
  color: var(--dark-gray-2);
}
.slogan-main {
  font-family: var(--slogan);
  font-size: 70px;
  color: var(--blue-1);
  text-align: center;
  margin-top: 40px;
  animation: titleAni 1s 0.6s linear both;
}
.slogan-main p {
  margin: 0;
}
.slogan-main span {
  font-size: 60px;
  color: var(--blue-gray);
}
/* ########## About ########## */
.about__inner {
  /* ------------- 최소너비가 1200px 여기도 점검필요 ------------- */
  min-width: 1200px; 
}
.about-tabs {
  overflow: hidden;
}
.about-tabs input {
  display: none;
}
.about__contents {
  width: 200%;
  overflow: hidden;
  transition: 0.3s;
}
.about__contents > div {
  float: left;
  width: calc(100% / 2);
}
.about__contents > div h3 {
  font-size: 20px;
  font-weight: bold;
  color: var(--blue-1);
  text-transform: uppercase;
  margin-bottom: 20px;
}
.about__content--first {  
  display: flex;
  justify-content: space-between;
}
.about__content--first > div {
  position: relative;
}
.about__content--first > div:after {
  content: '';
  height: 100%;
  width: 0.5px;
  background: var(--gray-1);
  position: absolute;
  top: 0;
  right: -52px;
}
.about__content--first > div:nth-of-type(3):after {
  display: none;
}
/* ---------- 공통느낌 ---------- */
.about__content--first .profile {
  flex-basis: 178px;
}
.profile {}
.profile .thum {
  width: 178px;
  height: 220px;
  border: 1px solid rgba(0, 0, 0, 0.1);
}
.profile .thum img {
  width: inherit;
  height: inherit;
  object-fit: cover;
}
.profile .desc {}
.profile .desc .designer {
  margin: 20px 0 10px;
}
.profile .desc .designer em {
  color: var(--blue-gray);
  font-size: 12px;
}
.profile .desc .designer span {
  color: var(--blue-1);
  font-size: 24px;
  font-family: var(--title);
  letter-spacing: 0.5px;
}
.profile .desc .designer-contact {}
.profile .desc .designer-contact span {
  display: flex;
  align-items: center;
  padding-bottom: 10px;
  gap: 8px;
}
.profile .desc .designer-contact span i {
  width: 16px;
  transform: translateY(-2px);
}
.profile .desc .designer-contact span s {
  display: block;
  text-decoration: none;
}
.education-skills {
  flex-basis: 221px;
}
.education {
  margin-bottom: 40px;
}
.education h3 {}
.education-info {
  margin-bottom: 15px;
}
.education-info span {
  font-size: 12px;
}
.education-info p {
  font-size: 18px;
  font-weight: bold;
  color: var(--dark-gray-4);
  margin: 2px 0 8px;
}
.education-info em {
  font-style: normal;
}
.skills {}
.skill-info {
  margin-bottom: 15px;
}
.skill-info span {
  text-transform: uppercase;
  font-size: 12px;
}
.skill-info-imgs {
  display: flex;
  gap: 20px;
  margin-top: 6px;
}
.skills-info-imgs img {}
.introduction {}
.slogan-intro {
  margin-bottom: 20px;
}
.slogan-intro p {
  font-size: 26px;
  font-family: var(--slogan);
  color: var(--blue-1);
}
.slogan-intro p span {
  font-size: 22px;
  color: var(--blue-gray);
}
/* About - introduction */
.introduction {
  flex-basis: 590px;
}
.introduction__contents {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr); 
  gap: 20px;
}
.introduction__content {}
.introduction__content h4 {
  font-size: 18px;
  font-weight: bold;
  color: var(--dark-gray-4);
  margin-bottom: 10px;
}
.introduction__content p {
  line-height: 1.5;
}
/* About - second */
.about__content--second {}
.career {}
.career__inner {
  display: flex;
  gap: 40px;
}
.career-sequence {
  flex: 1;
  padding-left: 10px;
  margin-left: 10px;
  border-left: 1px dotted var(--gray-1);
  position: relative;
}
.career__inner > div:before {
  content: '';
  position: absolute;
  width: 12px;
  height: 12px;
  border: 2px solid var(--gray-1);
  border-radius: 50%;
  background: var(--white);
  left: -7px;
}
.career__inner > div:nth-of-type(1):before {
  top: 10px;
}
.career__inner > div:nth-of-type(2):before {
  top: 103px;
}
.career__inner > div:nth-of-type(3):before {
  top: 120px;
}
.career-sequence .company-info {
  margin-bottom: 20px;
  margin-left: 10px;
}
.career-sequence .company-info span {
  display: block;
  font-size: 12px;
}
.career-sequence .company-info b {
  color: var(--blue-1);
  font-size: 18px;
}
.career-sequence .company-role {
  margin-bottom: 20px;
  margin-left: 20px;
}
.career-sequence .company-role s {
  text-decoration: none;
  font-weight: bold;
  color: var(--dark-gray-4);
}
.career-sequence .company-role p {
  margin: 15px 0;
  font-size: 14px;
  font-weight: bold;
  color: var(--dark-gray-4);
}
.career-sequence .company-role p:before {
  content: '';
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: var(--dark-gray-4);
  display: inline-block;
  margin-right: 2px;
  transform: translateY(-3px);
}
.career-sequence .company-role p em {
  font-style: normal;
  display: block;
  font-size: 12px;
  font-weight: initial;
  color: var(--dark-gray-2);
  line-height: 1.4;
  padding-left: 4px;
}
.career-sequence .company-role p em:first-child {
  padding-top: 6px;
}
.career-sequence .company-role p em:last-child {}
.about__contents--btns {
  text-align: center;
  display: flex;
  gap: 20px;
  justify-content: center;
  margin-top: 40px;
}
.about__contents--btns label {
  display: block;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: rgba(65, 94, 255, 0.2);
  cursor: pointer;
}
/* About tabs-operation */
input[id=about-tab1]:checked ~ .about__contents {}
input[id=about-tab2]:checked ~ .about__contents {
  margin-left: -100%;
}
input[id=about-tab1]:checked ~ .about__contents--btns label[for=about-tab1],
input[id=about-tab2]:checked ~ .about__contents--btns label[for=about-tab2] {
  background: var(--blue-1);
}
/* ########## Portfolio ########## */
#portfolio > div {
  background: var(--white);
}
.portfolio__inner {
  /* ------------- 최소너비가 1200px 여기도 점검필요 ------------- */
  min-width: 1200px; 
}
.portfolio__inner h2 {
  margin-bottom: 11.5px;
}
.portfolio-tabs {
  position: relative;
  width: 1000px;
  margin: auto;
  overflow: hidden;
}
.portfolio-tabs input {
  display: none;
}
.portfolio-tabs--btns {
  text-align: right;
  margin-bottom: 20px;
}
.portfolio-tabs--btns label {
  font-size: 18px;
  padding-bottom: 6px;
  margin-right: 20px;
  display: inline-block;
  cursor: pointer;
  border-bottom: 1px solid var(--blue-1);
  border-color: transparent;
  transition: 0.3s;
}
.portfolio-tabs--btns label:hover {
  font-weight: bold;
  color: var(--blue-1);
  border-color: var(--blue-1);
}
.portfolio-tabs--btns label:last-child {
  margin-right: 0;
}
.portfolio-tabs--contents {
  width: 300%;
  overflow: hidden;
  transition: 0.3s;
}
.portfolio-tabs--content {
  width: calc(100% / 3);
  float: left;
}
.portfolio-tabs--content__items {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 10px;
}
.portfolio-tabs--content__item {}
.portfolio-tabs--content__item a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 350px;
  border-radius: 4px;
}
.portfolio-tabs--content__item img {
  width: inherit;
  height: inherit;
  object-fit: cover;
  border-radius: 4px;
  transition: 0.5s;
  overflow: hidden;
}
.portfolio--detail-page .portfolio-tabs--content__item a {
  gap: 10px;
  justify-content: center;
  align-items: initial;
  background: url();
}
/* Portfolio BG */
.portfolio--homepage .portfolio-tabs--content__item:nth-of-type(1) a {
  background: var(--purple-2);
}
.portfolio--homepage .portfolio-tabs--content__item:nth-of-type(2) a {
  background: var(--sky-blue-1);
}
.portfolio--homepage .portfolio-tabs--content__item:nth-of-type(3) a {
  background: var(--light-gray-2);
}
.portfolio--homepage .portfolio-tabs--content__item:nth-of-type(4) a {
  background: var(--light-lavender);
}
.portfolio--detail-page .portfolio-tabs--content__item:nth-of-type(1) a {
  background: var(--brown);
}
.portfolio--detail-page .portfolio-tabs--content__item:nth-of-type(2) a {
  background: var(--dark-brown);
}
.portfolio--detail-page .portfolio-tabs--content__item:nth-of-type(3) a {
  background: var(--brown);
}
.portfolio--detail-page .portfolio-tabs--content__item:nth-of-type(4) a {
  background: var(--dark-gray-3);
}
.portfolio--etc .portfolio-tabs--content__item:nth-of-type(1) a {
  background: var(--pink);
}
.portfolio--etc .portfolio-tabs--content__item:nth-of-type(2) a {
  background: var(--blue-gray);
}
.portfolio--etc .portfolio-tabs--content__item:nth-of-type(3) a {
  background: var(--brown-plum);
}
.portfolio--etc .portfolio-tabs--content__item:nth-of-type(4) a {
  background: var(--brown-red);
}
/* Portfolio Homepage */
.portfolio--homepage a:hover img,
.portfolio--etc a:hover img {
  transform: scale(1.1);
}
/* Portfolio Detail-page */
.portfolio--detail-page .img-wrapper {
  position: relative;
  width: 220px;
  overflow: hidden;
}
.portfolio--detail-page .img-wrapper img {
  position: absolute;
  width: 100%;
  left: 0;
}
.portfolio--detail-page a:hover div:first-child img {
  animation: flow-upward-ani 50s linear infinite;
}
.portfolio--detail-page a:hover div:last-child img {
  animation: flow-downward-ani 50s linear infinite;
}
.portfolio--detail-page .img-wrapper:first-child img {
  top: 20px;
}
.portfolio--detail-page .img-wrapper:last-child img {
  bottom: 20px;
}
/* Portfolio tabs-operation */
input[id=portfolio-tab1]:checked ~ .portfolio-tabs--btns label[for=portfolio-tab1],
input[id=portfolio-tab2]:checked ~ .portfolio-tabs--btns label[for=portfolio-tab2],
input[id=portfolio-tab3]:checked ~ .portfolio-tabs--btns label[for=portfolio-tab3] {
  font-weight: bold;
  color: var(--blue-1);
  border-color: var(--blue-1);
}
input[id=portfolio-tab1]:checked ~ .portfolio-tabs--contents {}
input[id=portfolio-tab2]:checked ~ .portfolio-tabs--contents {
  margin-left: -100%;
}
input[id=portfolio-tab3]:checked ~ .portfolio-tabs--contents {
  margin-left: -200%;
}
/* Featherlight */
.featherlight {
  transition: none !important;
  animation: none !important;
}
.featherlight-content {
  transition: none !important;
  animation: none !important;
}
.featherlight-iframe .featherlight-content {
    margin: 0;
    width: 100vw;
    height: 100vh;
    max-height: initial;
}
.featherlight .featherlight-inner {
  width: inherit;
  height: inherit;
}
.featherlight .featherlight-close-icon {
    top: 20px;
    right: 20px;
    width: 40px;
    font-family: 'SUIT Variable', sans-serif;
    background: transparent;
    font-size: 30px;
}
/* ########## Contact ########## */
.contact__inner {
  /* ------------- 최소너비가 1200px 여기도 점검필요 ------------- */
  min-width: 1200px;
}
.contact__card {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  padding: 10px;
  box-shadow: 0px 0px 10px rgba(0,0,0,0.2);
  width: 700px;
  margin: auto;
}
.contact__card .thum {
  width: 280px;
  height: 280px;
  border: none;
}
#contact .desc {
  flex: 1;
}
#contact .designer {
  text-align: left;
}
#contact .designer em {
  font-size: 22px;
}
#contact .designer span {
  font-size: 30px;
}
#contact .designer-contact {}
#contact .designer-contact s {
  font-size: 20px;
  padding-bottom: 4px;
}
@keyframes flow-upward-ani {
  0% {
    top: 20px;
  }
  100% {
    top: -1000px;
  }
}
@keyframes flow-downward-ani {
  0% {
    bottom: 20px;
  }
  100% {
    bottom: -1000px;
  }
}
/* ########## project - Portfolio ########## */
/* ##### project - Portfolio -- color start #####  */
.theme--game {
  --pointColor : var(--dark-purple);
  --bgColor : var(--purple-1);
}
.theme--drone {
  --pointColor : var(--sky-blue-2);
  --bgColor : var(--sky-blue-1);
}
.theme--corporation {
  --pointColor : var(--dark-gray-2);
  --bgColor : var(--light-gray-2);
}
.theme--vr {
  --pointColor : var(--lavender);
  --bgColor :  var(--light-lavender)
}
/* ##### project - Portfolio -- color end #####  */
.project {
  height: 100vh;
  background: var(--bgColor);
}
.project__inner {
  min-width: 1200px;
}
/* project - Detail -- img size start */
.project.detail {}
.project.detail .project__inner {
  width: 100%;
  max-width: 800px;
  margin: 100px auto;
  min-width: 0;
}
.project.detail .project__inner img {
  width: inherit;
}
/* project - Detail -- img size end */
/* project - ETC -- img size start */
.project.etc {}
.project.etc .project__inner {
  width: 100%;
  max-width: 500px;
  margin: 100px auto;
  min-width: 0;
}
.project.etc .project__inner img {
  width: inherit;
}
/* project - ETC -- img size end */
.project__title {
  text-align: center;
}
.project__title span {
  font-size: 30px;
  font-weight: 100;
  color: var(--dark-gray-4);
}
.project__title h2 {
  color: var(--pointColor);
}
.project__content {
  display: flex;
  height: 450px;
  gap: 122px;
  align-items: center;
}
.project__content > div {
  flex: 1;
}
.project__img {
  position: relative;
  height: inherit;
}
.project__img img {
  position: absolute;
  height: inherit;
}
.project__desc {
  display: flex;
  flex-direction: column;
  gap: 35px;
}
.project__btns {
  display: flex;
  gap: 10px;
  position: relative;
}
.project__tooltip {
  font-size: 10px;
  text-transform: uppercase;
  position: absolute;
  color: var(--dark-gray-4);
  width: 70px;
  background: var(--white);
  text-align: center;
  padding: 4px 0;
  border-radius: 10px;
  top: -35px;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
  animation: upndown 0.8s linear infinite;
}
.project__tooltip:after {
  content: '';
  position: absolute;
  width: 10px;
  height: 10px;
  background: var(--white);
  clip-path: polygon(50% 100%, 0 0, 100% 0);
  bottom: -7px;
  left: 50%;
  transform: translateX(-50%);
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
}
.project__btns button {
  font-size: 18px;
  color: var(--dark-gray-4);
  display: block;
  padding: 5px 20px 3px;
  border-radius: 100px;
  border: 1px solid var(--pointColor);
  text-transform: uppercase;
  transition: 0.3s;
  position: relative;
  font-family: 'SUIT Variable', sans-serif;
}
.project__btns button:hover {
  color: var(--white);
  border-color: transparent;
  background: var(--pointColor);
}
.project__info {
  padding: 30px 20px 10px;
  border: 1px solid var(--pointColor);
  border-radius: 10px;
  position: relative;
}
.project__info--purpose s {
  line-height: 1.4;
  text-decoration: none;
  padding-left: 14px;
  position: relative;
  color: var(--dark-gray-3);
  display: block;
  padding-bottom: 10px;
}
.project__info--purpose s:before,
.project__info em:before {
  content: '';
  position: absolute;
  width: 8px;
  height: 8px;
  border-radius: 10px;
  left: 0;
  top: 6px;
  background-color: var(--pointColor);
}
.project__info--purpose s:last-child {
  padding-bottom: 0;
}
.project__info b {
  font-size: 18px;
  position: absolute;
  color: var(--white);
  top: -16px;
  padding: 8px 10px 4px;
  border-radius: 4px;
  background-color: var(--pointColor);
}
.project__info em {
  font-style: normal;
  display: block;
  padding-left: 14px;
  position: relative;
  color: var(--dark-gray-3);
}
.project__info em:before {
  top: 4px;
}
.project__info em:nth-of-type(2):before {
  display: none;
}
/* project Portfolio */
.project__portfolio {
  position: fixed;
  background: var(--white);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 100%;
  transition: 0.5s;
}
.project__portfolio.active {
  left: 0;
}
.project__portfolio > div {
  display: none;
}
.project__portfolio > div.active {
  display: block;
}
/* Version PC */
.version--pc,
.version--mobile {
  width: inherit;
  height: inherit;
}
.version--pc iframe,
.version--mobile iframe {}
/* Version Mobile */
.version--mobile {}
.version--mobile iframe {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 0.5px solid var(--dark-gray-1);
}
/* Version Design */
.version--design {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  min-width: 1200px;
  height: calc(100vh - 100px);
}
.version--design__tabs {
  height: inherit;
  width: 100%;
  overflow: hidden;
}
.version--design__tabs input {
  display: none;
}
.design__tabs--btns {
  display: flex;
  gap: 10px;
  justify-content: center;
}
.design__tabs--btns label {
  display: block;
  width: 100px;
  height: 40px;
  border: 1px solid var(--light-gray-2);
  border-radius: 4px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
  cursor: pointer;
  text-transform: uppercase;
  transition: 0.3s;
}
.design__tabs--btns label:hover {
  background: var(--blue-1);
  color: var(--white);
}
.design__tabs--contents {
  width: 200%;
  overflow: hidden;
  height: calc(100vh - 160px);
  transition: 0.3s;
}
.design__tabs--contents > div {
  width: calc(100% / 2);
  float: left;
  height: inherit;
  overflow: auto;
}
.design__tabs--contents > div img {
  width: auto;
  margin: auto;
  height: auto;
  overflow: auto;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
}
/* Version Design tabs */
input[id=design__tab1]:checked ~ .design__tabs--contents {
  margin-left: 0;
}
input[id=design__tab2]:checked ~ .design__tabs--contents {
  margin-left: -100%;
}
input[id=design__tab1]:checked ~ .design__tabs--btns label[for=design__tab1],
input[id=design__tab2]:checked ~ .design__tabs--btns label[for=design__tab2] {
  background: var(--blue-1);
  color: var(--white);
  border-color: transparent;
}
.btn--close {
  position: fixed;
  z-index: 10;
  width: 50px;
  height: 50px;
  padding: 0;
  border-radius: 50%;
  background: var(--blue-1);
  top: 50px;
  left: 100%;
  box-shadow: 0 0 10px rgba(0, 6, 37, 0.4);
  transition: 0.5s;
}
.btn--close.active {
  left: 90%;
}
.btn--close i {
  color: var(--white);
  font-size: 40px;
}
/* Version Designsystem */
.version--designsystem {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 900px;
  height: calc(100vh - 100px);
  overflow: auto;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
}
.version--designsystem img {
  width: 100%;
  height: auto;
  overflow: auto;
}
/* Tooltip animation */
@keyframes upndown {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-4px);
  }
  100% {
    transform: translateY(0);
  }
}
/* first page title animation */
@keyframes titleAni {
  0% {
    transform: translateY(-14px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}